{% load agenda l10n %}

<div class="agenda-grid {{ agenda.classes|default:'week-grid' }}"
     data-numcols="{{ agenda.week_events|length }}" data-numrows="{{ day_divs|length|add:1 }}"
     style="grid-template-rows: repeat({{ day_divs|length|add:1 }}, 24px);">
  {% for day, events in agenda.week_events.items %}
    <div class="agenda-head">{{ day|date:'D j F' }}</div>
    {% for dv in day_divs %}
        {% with events|get_events:dv as quart_evts %}
        <div class="event-cell {{ dv|is_hour|yesno:"hour," }} {{ dv|is_meal|yesno:"meal,"}}"
             data-day="{{ day|date:'c' }}" data-hour="{{ dv|date:'H:i' }}">
            {% for ev in quart_evts %}
            <span class="event-content {{ ev.cancelled|yesno:'cancelled,' }} {{ ev.ev_category }}"
                  style="height: calc({% mult ev.spans 100 %}% + {% mult ev.spans 2 %}px);
                         min-height: calc({% mult ev.spans 100 %}% + {% mult ev.spans 2 %}px);
                         left: {{ ev.leftoffset|default:0 }};
                         {% if ev.ev_category == 'dispo' or ev.ev_category == 'absence' %}width: 100%;
                         {% elif not ev.overlaps %}width: calc(100% - 22px);
                         {% elif events.col_width %}width: calc({{ events.col_width|unlocalize }}% - 22px);{% endif %}">
                {{ ev|before_icons }}
                {% with ev|dispo_edit_url:request.user as edit_url %}
                {% if edit_url %}
                    <a class="openmodal" href="{{ edit_url }}{% if ev.is_recurring %}?occ={{ ev.debut.isoformat|urlencode }}{% endif %}">
                        <img class="icon floatright" src="{% static 'img/edit.svg' %}" title="Modifier">
                    </a>
                {% endif %}
                {% endwith %}
                {% if ev.is_recurring %}
                    <img class="icon floatright repeat" src="{% static 'img/repeat.svg' %}"
                         title="Cet événement est récurrent">
                {% endif %}
                {{ ev.debut|as_hour_min }} - {{ ev.fin|as_hour_min }}
                {{ ev|event_details }}
            </span>
            {% endfor %}
        </div>
        {% endwith %}
    {% endfor %}
  {% endfor %}
</div>
